﻿// ****************************************************************************
// *                                                                          *
// * © Copyright 2020 RapidApps Sweden                                        *
// *                                                                          *
// * File       : Program.cs                                                  *
// * Created    : 2020-05-08                                                  *
// * Created by : metscore                                                    *
// *                                                                          *
// ****************************************************************************

using System.Runtime.InteropServices;

namespace PassMarkUSBPlugLib
{
    [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Ansi, Pack = 1)]
    public class PassMarkConfig
    {
        public byte dma_mode;
        public byte ep_type;
        public byte ep_in;
        public byte ep_out;
        public byte ss_burst_len;
        public byte polling_interval;
        public byte hs_bulk_nak_interval;
        public byte iso_transactions_per_bus_interval;
        public ushort iso_bytes_per_bus_interval;
        // settings added from firmware version 1.8
        public byte speed;
        public byte buffer_count;
        public ushort buffer_size;

    }
}
