﻿// ****************************************************************************
// *                                                                          *
// * © Copyright 2020 RapidApps Sweden                                        *
// *                                                                          *
// * File       : Program.cs                                                  *
// * Created    : 2020-05-08                                                  *
// * Created by : metscore                                                    *
// *                                                                          *
// ****************************************************************************

using System;

namespace PassMarkUSBPlugLib
{
    public class PassMarkTestResult
    {
        public TimeSpan MeasurementTime { get; }
        public bool Success { get; }
        public int NbrOfSentBytes { get; }
        public int NbrOfReceivedBytes { get; }
        public int NbrOfWriteErrors { get; }
        public int NbrOfReadErrors { get; }
        public int NbrOfDataErrors { get; }

        public PassMarkTestResult(bool success, TimeSpan measurementTime, int nbrOfSentBytes, int nbrOfReceivedBytes, int nbrOfWriteErrors, int nbrOfReadErrors, int nbrOfDataErrors)
        {
            this.Success = success;
            this.MeasurementTime = measurementTime;
            this.NbrOfSentBytes = nbrOfSentBytes;
            this.NbrOfReceivedBytes = nbrOfReceivedBytes;
            this.NbrOfWriteErrors = nbrOfWriteErrors;
            this.NbrOfReadErrors = nbrOfReadErrors;
            this.NbrOfDataErrors = nbrOfDataErrors;
        }
    }
}
